Skip to main content
GET
/
workspaces
/
{workspace_id}
/
secrets
/
search
Error
A valid request URL is required to generate request examples
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "encrypted_keys": "<string>",
    "environment": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>",
    "tags": {}
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Query Parameters

environment
string
required
name
string[] | null

Filter by secret name

id
string<uuid>[] | null

Filter by secret ID

type
enum<string>[] | null

Filter by secret type

The type of a secret.

Available options:
custom,
ssh_key,
mtls,
ca_cert,
github_app

Response

Successful Response

id
string<uuid>
required
type
enum<string>
required

The type of a secret.

Available options:
custom,
ssh_key,
mtls,
ca_cert,
github_app
name
string
required
encrypted_keys
string
required
environment
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
workspace_id
string<uuid>
required
description
string | null
tags
Tags · object | null